After creating a new MAN the details view is filled with other MAN
Description

mail WB:

Hallo,

es geht um die Elngabe eines MAN mit dem gleichen Namen wie ein bereits bestehender MAN (derzeit ist das haufig notwendig, da
man ja nur eine Referenz als sensu eingeben kann).

Im Name Editor tippe ich Enter, suche dann den Namen im Details view heraus, speichere das und erklare dann das Synonym zum
MAN.

5 || Euploca fruticosa (L) [#% Myriopus oliochros {... 125 Myrio us volubilis (L).. 52| = O Details &2
p SICEEES yriop
~ n M)-'riopus volubilis (L ) Small ~ Synonym: Tournefortia ferruginea syn. sec. Greuter & Rankin Rodriguez 2016
eTournefortia volubilis L. Title Cache Tournefortia ferruginea syn. sec. Greuter & Rankin Rodriguez 2016
@ Tournefortia barbadensis N. E. Br. ex Britton Appended Phrase | i
Secundum Greuter, W. & Rankin Rodriguez, R, 2016: The Spermatophyta of Cu
@ Tournefortia leonis Britton & P. Wilson Detail |
@ Tournefortia minuta Bertero ex Spreng. v Link
inks
@ Tournefortia oblongata Urb. & Ekman Exclude Authorship O
Synonym is doubtful []
@ Tournefortia picardae Urb. Synonym is published
@ Tournefortia trinitatis L. Riley ~ Name: Tournefortia ferruginea
eTourneforﬁaferruginea Cache Tournefortia ferruginea
@T efortiaf . ~ Scientific N\ame: Tournefortia ferruginea
D Tournefortia ferruginea
— SEMSU GRISEBACH 1866, ERR. SEC. GREUTER & RANKIN RODRIGUEZ 2017 Mame Cache Tournefortia ferruginea

Rank Species

Dann springt der Details View auf die Details des anderen angegebenen MANs
fix #9651: setFocus only for selected conceptContainer

History

#1 - 06/08/2021 11:39 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1b62813be8ba0f6f5cde2384147¢c62f0c913f1b6.

#2 - 06/08/2021 11:44 AM - Katja Luther
- Category set to taxeditor
- Assignee set to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.25

This problem was caused by setting the focus everytime the name editor is refreshed and all containers are redrawed. Maybe this also can be
optimised to only redraw the selected container, but this is another ticket, sometimes the order of the containers will change therefore the complete

redraw is needed (for example when changing a MAN into synonym)
Please review.

#3 - 06/25/2021 07:08 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Seem to work as expected (but not sure if | could reproduce it correctly)
